var World = {
    loaded: false,
    init: function() {
        this.createOverlays();
    },
    createOverlays: function() {
        this.tracker = new AR.ClientTracker("assets/Falltracker.wtc", {
            onLoaded: this.worldLoaded
        });
        var video = new AR.VideoDrawable("assets/Bed-Bath-Logo-Alpha.mp4", .7, {
            offsetX: .015,
            offsetY: .015,
            isTransparent: true
        });
        video.play(-1);
        video.pause();
        new AR.Trackable2DObject(this.tracker, "prefCent*", {
            drawables: {
                cam: [ video ]
            },
            onEnterFieldOfVision: function() {
                video.resume();
            },
            onExitFieldOfVision: function() {
                video.pause();
            },
            onClick: function() {
                document.location = "architectsdk://onURLWasInvoked?action=videoClicked?tracker=tracker1";
            }
        });
        new AR.Trackable2DObject(this.tracker, "myOffers*", {
            drawables: {
                cam: [ video ]
            },
            onEnterFieldOfVision: function() {
                video.resume();
            },
            onExitFieldOfVision: function() {
                video.pause();
            },
            onClick: function() {
                document.location = "architectsdk://onURLWasInvoked?action=videoClicked?tracker=tracker2";
            }
        });
        var blogImg = new AR.ImageResource("assets/blog.png");
        var overlayBlog = new AR.ImageDrawable(blogImg, 1, {
            offsetX: -.15,
            offsetY: 0,
            scale: .8
        });
        var shopImg = new AR.ImageResource("assets/shop.png");
        var overlayShop = new AR.ImageDrawable(shopImg, 1, {
            offsetX: -.15,
            offsetY: 0,
            scale: .8
        });
        var recipeImg = new AR.ImageResource("assets/recipe.png");
        var overlayRecipe = new AR.ImageDrawable(recipeImg, 1, {
            offsetX: -.15,
            offsetY: 0,
            scale: .8
        });
        var videoImg = new AR.ImageResource("assets/video.png");
        var overlayVideo = new AR.ImageDrawable(videoImg, 1, {
            offsetX: -.15,
            offsetY: 0,
            scale: .8
        });
        new AR.Trackable2DObject(this.tracker, "FallStaticFC", {
            drawables: {
                cam: overlayShop
            },
            onClick: function() {
                document.location = "architectsdk://onURLWasInvoked?action=videoClicked?tracker=FallStaticFC";
            }
        });
        new AR.Trackable2DObject(this.tracker, "FallStaticPage3", {
            drawables: {
                cam: overlayShop
            },
            onClick: function() {
                document.location = "architectsdk://onURLWasInvoked?action=videoClicked?tracker=FallStaticPage3";
            }
        });
        new AR.Trackable2DObject(this.tracker, "FallStaticPage9", {
            drawables: {
                cam: overlayBlog
            },
            onClick: function() {
                document.location = "architectsdk://onURLWasInvoked?action=videoClicked?tracker=FallStaticPage9";
            }
        });
        new AR.Trackable2DObject(this.tracker, "FallStaticPage27", {
            drawables: {
                cam: overlayRecipe
            },
            onClick: function() {
                document.location = "architectsdk://onURLWasInvoked?action=videoClicked?tracker=FallStaticPage27";
            }
        });
        new AR.Trackable2DObject(this.tracker, "FallVideoPage24", {
            drawables: {
                cam: overlayVideo
            },
            onClick: function() {
                document.location = "architectsdk://onURLWasInvoked?action=videoClicked?tracker=FallVideoPage24";
            }
        });
        new AR.Trackable2DObject(this.tracker, "FallVideoPage34", {
            drawables: {
                cam: overlayVideo
            },
            onClick: function() {
                document.location = "architectsdk://onURLWasInvoked?action=videoClicked?tracker=FallVideoPage34";
            }
        });
        new AR.Trackable2DObject(this.tracker, "FallStaticPage42", {
            drawables: {
                cam: overlayBlog
            },
            onClick: function() {
                document.location = "architectsdk://onURLWasInvoked?action=videoClicked?tracker=FallStaticPage42";
            }
        });
        var ellenVideo = new AR.VideoDrawable("assets/Kindness_Btn.mp4", .7, {
            offsetX: .015,
            offsetY: .015,
            isTransparent: true
        });
        ellenVideo.play(-1);
        ellenVideo.pause();
        new AR.Trackable2DObject(this.tracker, "FallVideoPage66", {
            drawables: {
                cam: ellenVideo
            },
            onEnterFieldOfVision: function() {
                ellenVideo.resume();
            },
            onExitFieldOfVision: function() {
                ellenVideo.pause();
            },
            onClick: function() {
                document.location = "architectsdk://onURLWasInvoked?action=videoClicked?tracker=FallVideoPage66";
            }
        });
    },
    createWwwButton: function(url, size, options) {
        options.onClick = function() {
            AR.context.openInBrowser(url);
        };
        return new AR.ImageDrawable(this.imgButton, size, options);
    },
    worldLoaded: function() {}
};

World.init();