function startAnimation(time) {
    setTimeout(function() {
        var cylinder = new AR.ModelAnimation(World.kitchenMixer, "Cylinder001_animation");
        cylinder.start();
        var poly = new AR.ModelAnimation(World.kitchenMixer, "polySurface24_animation");
        poly.start();
        for (i = 1; 100 >= i; i++) {
            var animationName;
            10 > i ? animationName = "BakedParticleMesh_00" + i + "_animation" : 99 > i && i > 9 && (animationName = "BakedParticleMesh_0" + i + "_animation");
            var anim = new AR.ModelAnimation(World.kitchenMixer, animationName);
            anim.start();
        }
    }, time);
}

var World = {
    loaded: false,
    rotating: false,
    init: function() {
        this.createOverlays();
    },
    createOverlays: function() {
        this.tracker = new AR.ClientTracker("assets/coupanTracker.wtc", {
            onLoaded: this.loadingStep
        });
        this.kitchenMixer = new AR.Model("assets/kitchen.wt3", {
            onLoaded: this.loadingStep,
            scale: {
                x: .025,
                y: .025,
                z: .025
            }
        });
        new AR.Trackable2DObject(this.tracker, "fivepercentcoupan", {
            drawables: {
                cam: [ this.kitchenMixer ]
            }
        });
        new AR.Trackable2DObject(this.tracker, "20percentCoupan", {
            drawables: {
                cam: [ this.kitchenMixer ]
            }
        });
    },
    loadingStep: function() {
        setInterval(function() {
            startAnimation(1e3);
        }, 5e3);
    }
};

World.init();